$fa-font-path: '~font-awesome/fonts';

@import "~bootstrap/scss/bootstrap.scss";
@import '~font-awesome/scss/font-awesome';

@media (max-width: 768px) {
    .btn-responsive {
        padding: 2px 4px !important;
        font-size: 80% !important;
        line-height: 1 !important;
        border-radius: 0.3rem !important;
    }
}

@media (min-width: 769px) and (max-width: 992px) {
    .btn-responsive {
        padding: 4px 9px !important;
        font-size: 90% !important;
        line-height: 1.2 !important;
    }
}

:host {
    @extend .btn;
    @extend .btn-lg;
    @extend .btn-responsive;

    justify-content: space-evenly;
    float: none;
    font-size: 13.5px;
    cursor: pointer;
    box-shadow: 1px 2px 3px #A9A9A9;;
}

:host([continue]) {
    @extend .btn-primary;
    span.fa-icon {
        @extend .fa !optional;
        @extend .fa-save !optional;
    }
}

:host([exit]) {
    font-size: 13.5px;
    @extend .btn-danger;
    background-color: #ef402c !important;

    span.fa-icon {
        @extend .fa !optional;
        @extend .fa-sign-out !optional;
        @extend .fa-lg !optional;
    }
}

:host([cancel]) {
    @extend .btn;
    box-shadow: 0 3px #CBCBCB;
    background-color: #C8C8C8;

    span.fa-icon {
        @extend .fa !optional;
        @extend .fa-close !optional;
    }
}

:host([submit]) {
    @extend .btn-success;
    box-shadow: 0 3px #CBCBCB;
    background-color: #52AF62;

    span.fa-icon {
        @extend .fa !optional;
        @extend .fa-paper-plane !optional;
    }
}

:host([clear]) {
    @extend .btn-danger;
    background-color: #f74f1e;

    span.fa-icon {
        @extend .fa !optional;
        @extend .fa-eraser !optional;
    }
}

:host([done]) {
    @extend .btn-success;
    background-color: #4CAF50;

    span.fa-icon {
        @extend .fa !optional;
        @extend .fa-thumbs-up !optional;
    }
}

:host([edit]) {
    @extend .btn-primary;
    background-color: #1875d2;

    span.fa-icon {
        @extend .fa !optional;
        @extend .fa-edit !optional;
    }
}

:host([ex-summary-edit]) {
    @extend .btn;
    @extend .btn-sm;
    background-color: #106cc8;
    color: white;

	&:hover {
        background-color: #0b4b8c;
    }

    span.fa-icon {
        @extend .fa !optional;
        @extend .fa-edit !optional;
    }
}

:host([take]) {
    @extend .btn-primary;
    background-color: #228ADD;
    padding: 0.5rem 1rem;

    span.fa-icon {
        @extend .fa !optional;
        @extend .fa-edit !optional;
    }
}

:host([resume]) {
    @extend .btn;
    background-color: #03A9F4;
    font-size: 12px;
	color: white;
    &:hover {
        background-color: #0790ce;
    }

    span.fa-icon {
        @extend .fa !optional;
        @extend .fa-forward !optional;
    }
}

:host([revisit]) {
    @extend .btn;
    background-color: #7C59BA;
    color: white;

	&:hover {
        background-color: #571396;
    }

    span.fa-icon {
        @extend .fa !optional;
        @extend .fa-share  !optional;
    }
}

:host([cancel-lg]) {
    @extend .btn;
    background-color: #C8C8C8;
    padding: 9px 37px;
    color: #525367;

    span.fa-icon {
        @extend .fa !optional;
        @extend .fa-close !optional;
    }
}

:host([edit-lg]) {
    @extend .btn;
    background-color: #228ADD;
    padding: 9px 37px;
    color: white;

    span.fa-icon {
        @extend .fa !optional;
        @extend .fa-pencil !optional;
    }
}

:host([submit-lg]) {
    @extend .btn-success;
    background-color: #52AF62;
    padding: 9px 37px;

    span.fa-icon {
        @extend .fa !optional;
        @extend .fa-paper-plane !optional;
    }
}

:host([pending]) {
    @extend .btn;
    background-color: #E51226;
    padding: 7px 20px;
    color: white;
    font-size: 15px;

    span.fa-icon {
        @extend .fa !optional;
        @extend .fa-commenting-o !optional;
    }
}

:host([start]) {
    @extend .btn-primary;
    background-color: #228ADD;
    padding: 0.5rem 1rem;
    width: 135px;
    height: 35px;

    span.fa-icon {
        @extend .fa !optional;
        @extend .fa-play-circle-o !optional;
    }
}

:host([review]) {
    @extend .btn;
    background-color: #228ADD;
    padding: 0.5rem 1rem;
    color: white;

    span.fa-icon {
        @extend .fa !optional;
        @extend .fa-eye !optional;
    }
}

:host([fixed]) {
    @extend .btn;
    background-color: #F19D26;
    padding: 0.75rem 2.8rem;
    border-color: #F19D26;
    color: white;

    span.fa-icon {
        @extend .fa !optional;
        @extend .fa-check-circle-o !optional;
    }
}
:host([review-fixed]) {
    @extend .btn;
    background-color: #F19D26;
    padding: 0.5rem 1rem;
    border-color: #F19D26;
    color: white;

    span.fa-icon {
        @extend .fa !optional;
        @extend .fa-check-circle-o !optional;
    }
}

:host([clear-comment]) {
    @extend .btn;
    color: #6B6C7E;
    background-color: #C9C9C9;
    padding: 0.5rem 1rem;
    margin: 15px;

    span.fa-icon {
        @extend .fa !optional;
        @extend .fa-eraser !optional;
    }
}
:host([edit-comment]) {
    @extend .btn;
    background-color: #228ADD;
    color: white;
    padding: 9px 10px;

    span.fa-icon {
        @extend .fa !optional;
        @extend .fa-pencil !optional;
    }
}
:host([delete-comment]) {
    @extend .btn-danger;
    background-color: #E51226;
    padding: 9px 10px;

    span.fa-icon {
        @extend .fa !optional;
        @extend .fa-trash !optional;
    }
}

:host([update-comment]) {
    @extend .btn;
    @extend .btn-primary;
    color: white;
    padding: 9px 10px;

    span.fa-icon {
        @extend .fa !optional;
        @extend .fa-save !optional;
    }
}

:host([summary-continue]) {
    @extend .btn;
    background-color: #4DA7ED;
    padding: 0.5rem 1rem;
    color: white;

    span.fa-icon {
        @extend .fa !optional;
        @extend .fa-arrow-circle-right !optional;
    }
}
:host([summary-edit]) {
    @extend .btn;
    background-color: #4D8AD8;
    padding: 0.5rem 1rem;
    color: white;

    span.fa-icon {
        @extend .fa !optional;
        @extend .fa-edit !optional;
    }
}

:host([notification-ok]) {
    @extend .btn;
    background-color: #5195ED;
    padding: 8px 40px;
    color: #fff;

    span.fa-icon {
        @extend .fa !optional;
        @extend .fa-thumbs-up !optional;
    }
}

:host([update-cancel]) {
    @extend .btn-danger;
    box-shadow: 0 3px #CBCBCB;
    color: white;

    span.fa-icon {
        @extend .fa !optional;
        @extend .fa-close !optional;
    }
}

:host([update]) {
    @extend .btn-primary;
    box-shadow: 0 3px #CBCBCB;

    span.fa-icon {
        @extend .fa !optional;
        @extend .fa-refresh !optional;
    }
}

:host([update-retake]) {
    @extend .btn;
    background-color: #F19D26;
    box-shadow: 0 3px #CBCBCB;
    border-color: #F19D26;
    color: white;
    padding: 10px;

    span.fa-icon {
        @extend .fa !optional;
        @extend .fa-edit !optional;
    }
}

:host([organization-pending]) {
    @extend .btn-danger;

    span.fa-icon {
        @extend .fa !optional;
        @extend .fa-commenting-o !optional;
    }
}

:host([organization-start]) {
    @extend .btn !optional;
    @extend .btn-primary !optional;
    background-color: #106cc8;
    border: none;

    &:hover {
        background-color: #0b4b8c;
    }

    span.fa-icon {
        @extend .fa !optional;
        @extend .fa-play !optional;
    }
}

:host([organization-open]) {
    @extend .btn !optional;
    @extend .btn-primary !optional;
    background-color: #106cc8;
    border: none;

    &:hover {
        background-color: #0b4b8c;
    }

    span.fa-icon {
        @extend .fa !optional;
        @extend .fa-envelope-open-o !optional;
    }
}

:host([organization-done]) {
    @extend .btn;
    @extend .btn-success;

    span.fa-icon {
        @extend .fa !optional;
        @extend .fa-commenting-o !optional;
    }
}

:host([organization-review]) {
    @extend .btn;
    @extend .btn-primary;

    span.fa-icon {
        @extend .fa !optional;
        @extend .fa-eye !optional;
    }
}


:host([organization-pending]) {
    @extend .btn-danger;
    @extend .btn-responsive;

    span.fa-icon {
        @extend .fa !optional;
        @extend .fa-commenting-o !optional;
    }
}

:host([organization-start]) {
    @extend .btn !optional;
    @extend .btn-primary !optional;
    @extend .btn-responsive;
    background-color: #106cc8;
    border: none;

    &:hover {
        background-color: #0b4b8c;
    }

    span.fa-icon {
        @extend .fa !optional;
        @extend .fa-play !optional;
    }
}

:host([organization-open]) {
    @extend .btn !optional;
    @extend .btn-primary !optional;
    background-color: #106cc8;
    border: none;

    &:hover {
        background-color: #0b4b8c;
    }

    span.fa-icon {
        @extend .fa !optional;
        @extend .fa-envelope-open-o !optional;
    }
}

:host([sign-in]) {
    @extend .btn-primary;
    background-color: #1875d2;
    font-size: 17px;
    padding: 0.60rem 1.4rem !important;
}

:host([save-lg]) {
    @extend .btn-primary;
    padding: 9px 37px;

    span.fa-icon {
        @extend .fa !optional;
        @extend .fa-save !optional;
    }
}

:host([delete-user]) {
    @extend .btn-danger;
    background-color: #E51226;
    padding: 9px 40px;

    span.fa-icon {
        @extend .fa !optional;
        @extend .fa-trash !optional;
    }
}

:host([edit-user]) {
    @extend .btn-primary;
    background-color: #1875d2;
    padding: 9px 40px;


    span.fa-icon {
        @extend .fa !optional;
        @extend .fa-edit !optional;
    }
}

:host([home]) {
    @extend .btn-primary;
    background-color: #1875d2;

    span.fa-icon {
        @extend .fa !optional;
        @extend .fa-undo !optional;
    }
}
